package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Matters
* date: 2021-9-16 20:01:52
*/
public class MattersQuery extends MattersEntity{
    private static final long serialVersionUID = 1631793712557L;
    /** 开始 id号 */
    private Long idStart;

    /** 结束 id号 */
    private Long idEnd;

    /** 增加 id号 */
    private Long idIncrement;

    /** id号 */
    private List <Long> idList;


    /** 区域编码 */
    private List<String> areaCodeList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 行政权力编号 */
    private List<String> powerCodeList;

    /** 主题编号 */
    private List<String> themeCodeList;

    /** 服务类型编号 */
    private List<String> usertypeCodeList;

    /** 事项编号 */
    private List<String> matterCodeList;

    /** 事项名称 */
    private List<String> nameList;

    /** 事项组名 */
    private List<String> groupNameList;

    /** 事项详情链接 */
    private List<String> urlList;

    /** 是否获取事项详情 */
    private List<String> haveGetMatterInfoList;
    /** 开始 修改时间 */
    private String updatetimeStart;

    /** 结束 修改时间 */
    private String updatetimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MattersQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MattersQuery> andConditionList;


    public MattersQuery(){
    }

    /**
    * 获取 开始 id号
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 id号
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 id号
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id号
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 id号
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 部门编号
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
    * 获取 行政权力编号
    * @return powerCodeList
    */
    public List<String> getPowerCodeList(){
        return this.powerCodeList;
    }

    /**
    * 设置 行政权力编号
    * @param powerCodeList
    */
    public void setPowerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
    }
    /**
    * 获取 主题编号
    * @return themeCodeList
    */
    public List<String> getThemeCodeList(){
        return this.themeCodeList;
    }

    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public void setThemeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
    }
    /**
    * 获取 服务类型编号
    * @return usertypeCodeList
    */
    public List<String> getUsertypeCodeList(){
        return this.usertypeCodeList;
    }

    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public void setUsertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
    }
    /**
    * 获取 事项编号
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
    * 获取 事项名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 事项名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 事项组名
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 事项组名
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }
    /**
    * 获取 事项详情链接
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }
    /**
    * 获取 是否获取事项详情
    * @return haveGetMatterInfoList
    */
    public List<String> getHaveGetMatterInfoList(){
        return this.haveGetMatterInfoList;
    }

    /**
    * 设置 是否获取事项详情
    * @param haveGetMatterInfoList
    */
    public void setHaveGetMatterInfoList(List<String> haveGetMatterInfoList){
        this.haveGetMatterInfoList = haveGetMatterInfoList;
    }
    /**
    * 获取 开始 修改时间
    * @return updatetimeStart
    */
    public String getUpdatetimeStart(){
    return this.updatetimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updatetimeStart
    */
    public void setUpdatetimeStart(String updatetimeStart){
    this.updatetimeStart = updatetimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updatetimeEnd
    */
    public String getUpdatetimeEnd(){
    return this.updatetimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updatetimeEnd
    */
    public void setUpdatetimeEnd(String updatetimeEnd){
    this.updatetimeEnd = updatetimeEnd;
    }


	/**
    * 设置  id号
    * @param id
    */
    public MattersQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id号
    * @param idStart
    */
    public MattersQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public MattersQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public MattersQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public MattersQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 区域编码
    * @param areaCode
    */
    public MattersQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }


    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public MattersQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }
	/**
    * 设置 部门编号
    * @param deptCode
    */
    public MattersQuery deptCode(String deptCode){
        setDeptCode(deptCode);
		return this;
    }


    /**
    * 设置 部门编号
    * @param deptCodeList
    */
    public MattersQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
		return this;
    }
	/**
    * 设置 行政权力编号
    * @param powerCode
    */
    public MattersQuery powerCode(String powerCode){
        setPowerCode(powerCode);
		return this;
    }


    /**
    * 设置 行政权力编号
    * @param powerCodeList
    */
    public MattersQuery powerCodeList(List<String> powerCodeList){
        this.powerCodeList = powerCodeList;
		return this;
    }
	/**
    * 设置 主题编号
    * @param themeCode
    */
    public MattersQuery themeCode(String themeCode){
        setThemeCode(themeCode);
		return this;
    }


    /**
    * 设置 主题编号
    * @param themeCodeList
    */
    public MattersQuery themeCodeList(List<String> themeCodeList){
        this.themeCodeList = themeCodeList;
		return this;
    }
	/**
    * 设置 服务类型编号
    * @param usertypeCode
    */
    public MattersQuery usertypeCode(String usertypeCode){
        setUsertypeCode(usertypeCode);
		return this;
    }


    /**
    * 设置 服务类型编号
    * @param usertypeCodeList
    */
    public MattersQuery usertypeCodeList(List<String> usertypeCodeList){
        this.usertypeCodeList = usertypeCodeList;
		return this;
    }
	/**
    * 设置 事项编号
    * @param matterCode
    */
    public MattersQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }


    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public MattersQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }
	/**
    * 设置 事项名称
    * @param name
    */
    public MattersQuery name(String name){
        setName(name);
		return this;
    }


    /**
    * 设置 事项名称
    * @param nameList
    */
    public MattersQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }
	/**
    * 设置 事项组名
    * @param groupName
    */
    public MattersQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }


    /**
    * 设置 事项组名
    * @param groupNameList
    */
    public MattersQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }
	/**
    * 设置 事项详情链接
    * @param url
    */
    public MattersQuery url(String url){
        setUrl(url);
		return this;
    }


    /**
    * 设置 事项详情链接
    * @param urlList
    */
    public MattersQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }
	/**
    * 设置 是否获取事项详情
    * @param haveGetMatterInfo
    */
    public MattersQuery haveGetMatterInfo(String haveGetMatterInfo){
        setHaveGetMatterInfo(haveGetMatterInfo);
		return this;
    }


    /**
    * 设置 是否获取事项详情
    * @param haveGetMatterInfoList
    */
    public MattersQuery haveGetMatterInfoList(List<String> haveGetMatterInfoList){
        this.haveGetMatterInfoList = haveGetMatterInfoList;
		return this;
    }

    /**
    * 设置 开始 修改时间
    * @param updatetimeStart
    */
    public MattersQuery updatetimeStart(String updatetimeStart){
		this.updatetimeStart = updatetimeStart;
		return this;
    }


    /**
    * 设置 结束 修改时间
    * @param updatetimeEnd
    */
    public MattersQuery updatetimeEnd(String updatetimeEnd){
		this.updatetimeEnd = updatetimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MattersQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MattersQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MattersQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MattersQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}